/*-
 * Copyright (c) 1998 Shin Takemura all rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote 
 *    products derived from this software without specific prior written 
 *    permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: necmg_icon.c,v 1.1.4.1 1998/12/05 22:49:22 itojun Exp $
 *
 */
#ifdef NECMG
#include <sys/param.h>

#include <necmg/necmg/necmg.h>
#include <opt_necmg.h>

#define D0 0x00
#define D1 0xc0
#define D2 0x30
#define D3 0xf0
#define D4 0x0c
#define D5 0xcc
#define D6 0x3c
#define D7 0xfc
#define D8 0x03
#define D9 0xc3
#define Da 0x33
#define Db 0xf3
#define Dc 0x0f
#define Dd 0xcf
#define De 0x3f
#define Df 0xff

unsigned char necmg_icon8x8[][16] = {
  {
    D0, D0, /*........*/
    D0, D0, /*........*/
    D0, D0, /*........*/
    D0, D0, /*........*/
    D0, D0, /*........*/
    D0, D0, /*........*/
    D0, D0, /*........*/
    D0, D0, /*........*/
  },
  {
    D0, D0, /*........*/
    D1, D8, /*...##...*/
    D3, D8, /*..###...*/
    D1, D8, /*...##...*/
    D1, D8, /*...##...*/
    D1, D8, /*...##...*/
    D1, D8, /*...##...*/
    D0, D0, /*........*/
  },
  {
    D0, D0, /*........*/
    D1, D8, /*...##...*/
    D1, D8, /*...##...*/
    D3, D4, /*..##.#..*/
    D7, De, /*.######.*/
    D6, D2, /*.##...#.*/
    D6, D2, /*.##...#.*/
    D0, D0, /*........*/
  },
  {
    D0, D0, /*........*/
    D7, De, /*.######.*/
    D0, D2, /*......#.*/
    D1, D4, /*...#.#..*/
    D1, D8, /*...##...*/
    D2, D0, /*..#.....*/
    D4, D0, /*.#......*/
    D0, D0, /*........*/
  },
  {
    D0, D0, /*........*/
    D7, De, /*.######.*/
    D0, Dc, /*....##..*/
    D1, D8, /*...##...*/
    D1, D8, /*...##...*/
    D3, D0, /*..##....*/
    D7, De, /*.######.*/
    D0, D0, /*........*/
  },
  {
    D0, D0, /*........*/
    D2, D0, /*..#.....*/
    D7, D0, /*.###....*/
    D2, D4, /*..#..#..*/
    D2, D4, /*..#..#..*/
    D0, De, /*....###.*/
    D0, D4, /*.....#..*/
    D0, D0, /*........*/
  },
};

unsigned char necmg_icon16x8[][32] = {
  {
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
  },
  {
    D0, D0, D0, D0, /*................*/
    D0, D0, D3, D8, /*..........###...*/
    D0, D0, D7, De, /*.........######.*/
    Dc, D0, Df, D8, /*##......#####...*/
    D3, D3, D7, De, /*..##..##.######.*/
    D0, Dc, D3, D8, /*....##....###...*/
    D0, D0, D0, D0, /*................*/
    D0, D0, D0, D0, /*................*/
  },
  {
    Df, Df, Df, Dc, /*##############..*/
    D8, D0, D0, D4, /*#............#..*/
    D8, D0, D0, D7, /*#............###*/
    D8, D0, D0, D1, /*#..............#*/
    D8, D0, D0, D1, /*#..............#*/
    D8, D0, D0, D7, /*#............###*/
    D8, D0, D0, D4, /*#............#..*/
    Df, Df, Df, Dc, /*##############..*/
  },
  {
    Df, Df, Df, Dc, /*##############..*/
    D8, D0, D0, D4, /*#............#..*/
    Db, D0, D0, D7, /*#.##.........###*/
    Db, D0, D0, D1, /*#.##...........#*/
    Db, D0, D0, D1, /*# ##...........#*/
    Db, D0, D0, D7, /*#.##.........###*/
    D8, D0, D0, D4, /*#............#..*/
    Df, Df, Df, Dc, /*##############..*/
  },
  {
    Df, Df, Df, Dc, /*##############..*/
    D8, D0, D0, D4, /*#............#..*/
    Db, Dc, D0, D7, /*#.####.......###*/
    Db, Dc, D0, D1, /*#.####.........#*/
    Db, Dc, D0, D1, /*# ####.........#*/
    Db, Dc, D0, D7, /*#.####.......###*/
    D8, D0, D0, D4, /*#............#..*/
    Df, Df, Df, Dc, /*##############..*/
  },
  {
    Df, Df, Df, Dc, /*##############..*/
    D8, D0, D0, D4, /*#............#..*/
    Db, Df, D0, D7, /*#.######.....###*/
    Db, Df, D0, D1, /*#.######.......#*/
    Db, Df, D0, D1, /*# ######.......#*/
    Db, Df, D0, D7, /*#.######.....###*/
    D8, D0, D0, D4, /*#............#..*/
    Df, Df, Df, Dc, /*##############..*/
  },
  {
    Df, Df, Df, Dc, /*##############..*/
    D8, D0, D0, D4, /*#............#..*/
    Db, Df, Dc, D7, /*#.########...###*/
    Db, Df, Dc, D1, /*#.########.....#*/
    Db, Df, Dc, D1, /*# ########.....#*/
    Db, Df, Dc, D7, /*#.########...###*/
    D8, D0, D0, D4, /*#............#..*/
    Df, Df, Df, Dc, /*##############..*/
  },
  {
    Df, Df, Df, Dc, /*##############..*/
    D8, D0, D0, D4, /*#............#..*/
    Db, Df, Df, D7, /*#.##########.###*/
    Db, Df, Df, D1, /*#.##########...#*/
    Db, Df, Df, D1, /*# ##########...#*/
    Db, Df, Df, D7, /*#.##########.###*/
    D8, D0, D0, D4, /*#............#..*/
    Df, Df, Df, Dc, /*##############..*/
  },
};
#endif /* NECMG */
